<!DOCTYPE html>
<html>

<head>
  <title> Task 28.33 Dữ liệu cá nhân </title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>
<script>
  $(document).ready(function(){
    
    //Truy vấn input lastname, đọc value
    var vElementLastName = $("#inp-last-name").val();
    //Truy vấn input lastname, cho value là “Thảo”
    var vElementLastNameValThao = $("#inp-last-name").val("Thảo");
    //Truy vấn input age, đọc value
    var vElementAge = $("#inp-age").val();
    //Truy vấn nút Submit Data, đọc value
    var vElementBtnSubmitData = $("#btn-submit-data").val();
    //Truy vấn p-html-log đổi màu chữ text-success
    var vElementPHtmlLog = $("#p-html-log").addClass("text-success");
    //Truy vấn p-html-log đọc innerHTML
    var vElementPHtml = $("#p-html-log").html();
    //Truy vấn Div này,  đổi màu nền thành bg-info
    var vElementDivP = $("#div-p-html-log").addClass("bg-info");
    
  });
</script>
<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form - Dữ liệu cá nhân</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12 text-right">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>      
    </div>
    <div class="row bg-light">
      <div class="col-sm-12 text-right">
        <button id="btn-clear-log" class="btn btn-info">Clear html log</button>
      </div>
    </div>
    <!-- HTML Log -->
    <div class = "jumbotron text-left" id="div-p-html-log">
      <p id="p-html-log">...</p>
    </div>
  </div>
  </div>
</body>

</html>